Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Member Functions | Public Attributes | List of all members
Ofcas.Lk.Api.Client.Ui.ElevationUi Class Reference

ElevationUi is the representation of a LogiKal element (for example, a window, a facade, ...) and provides methods with user interaction. The children are of type ElevationInstance. The children can be received from the InfoList (CoreObject<T>.Infos). More...

Inheritance diagram for Ofcas.Lk.Api.Client.Ui.ElevationUi:

## Public Member Functions
void | SetApplicationHandle (IntPtr uiHandle)
| Sets an ui handle. All opened user interfaces used this handle as parent. After an operation the default handle from the login scope will be used (ServiceProxyBase<TService,TCoreObject>.Login(string,long,System.TimeSpan)). More...
ElevationInfo | Edit (ElevationEditMode elevationEditMode)
| This method is deprecated. Please use ShowModal instead. More...
OperationInfo | CanShow ()
| Checks if it's possible to open the elevation via user interface with the default edit mode. More...
OperationInfo | CanShow (ElevationEditMode elevationEditMode)
| Checks if it's possible to open the elevation via user interface. More...
IDialogResult< ElevationInfo > | ShowModal ()
| Starts editing the elevation via user interface with the default edit mode. More...
IDialogResult< ElevationInfo > | ShowModal (ElevationEditMode elevationEditMode)
| Starts editing the elevation via user interface More...
ISynchronizedOperation | BeginEdit (ElevationEditMode elevationEditMode)
| This method is deprecated. Please use Show instead. More...
ISynchronizedOperation | Show ()
| Begins editing the elevation asynchronously with the default edit mode. More...
ISynchronizedOperation | Show (ElevationEditMode elevationEditMode)
| Begins editing the elevation asynchronously. More...
IDialogResult< ElevationInfo > | WaitForShow (ISynchronizedOperation synchronizedOperation)
| Waits for the ISynchronizedOperation to finish. More...
ElevationInfo | Set3D (Stream content)
| Sets a 3D definition to the current Elevation. Available formats are specified in "Public API Documentation" (Confluence). Setting 3D data is only allowed for empty created elevations (ElevationInfo.State). More...
ElevationInfo | Setup2D (Stream content)
| Setup the Elevation with a 2D definition. For example this method can be used to setup the grid of the Elevation. Available formats are specified in "Public API Documentation" (Confluence). Setup 2D data is only allowed for empty created elevations (ElevationInfo.State). More...
override void | DeleteElevationInstance (ElevationInstanceInfo elevationInstanceInfo)
| Deletes an existing ElevationInstance from this Elevation. More...
override OperationInfo | CanDeleteChild (ElevationInstanceInfo childInfo)
override void | DeleteChild (ElevationInstanceInfo childInfo, bool forceDelete=false)
IDialogResult< ElevationInfo > | SetFromHistory ()
| Sets the current Elevation using a selected Elevation from the Project's elevation history. More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Elevation
override ElevationInstance | GetChild (ElevationInstanceInfo elevationInstanceInfo)
| Gets an ElevationInstance based on an ElevationInstanceInfo. More...
ElevationInstance | GetElevationInstance (ElevationInstanceInfo elevationInstanceInfo)
| This method is deprecated. Please use GetChild(ElevationInstanceInfo) instead. More...
override OperationInfo | CanEdit (string key, object value)
| Checks whether an elevation can be edited or not. More...
override ElevationInfo | Edit (string key, object value)
| Edits an elevation based on a key and a value. More...
override OperationInfo | CanCreateChild ()
| Checks whether an ElevationInstance can be created or not. More...
override ElevationInstanceInfo | CreateChild ()
| Creates a new ElevationInstance to this Elevation. More...
IList< ElevationInstanceInfo > | CreateChildren (int amount)
| Creates an amount of new ElevationInstance to this Elevation. More...
override OperationInfo | CanDeleteChild (ElevationInstanceInfo childInfo)
| Checks whether an elevation instance can be deleted or not. More...
override void | DeleteChild (ElevationInstanceInfo childInfo, bool forceDelete=false)
| Deletes an elevation instance based on an info object. More...
void | GetThumbnail (Stream target, GraphicSettings settings)
| This method is deprecated. Please use GetThumbnail(Dictionary<string, object>) instead. More...
Stream | GetThumbnail (Dictionary< string, object > parameters)
| Gets a thumbnail from the elevation as a Stream. More...
Stream | GetDrawing (GraphicSettings settings)
| This method is deprecated. Please use GetDrawing(Dictionary<string, object>) instead. More...
Stream | GetDrawing (Dictionary< string, object > parameters)
| Gets a drawing from the elevation as a Stream. More...
void | GetGdz (Stream target, GdzSettings settings)
| This method is deprecated. Please use GetGdz(GdzSettings) instead. More...
Stream | GetGdz (GdzSettings settings)
| This method is deprecated. Please use GetGdz(Dictionary<string, object>) instead. More...
Stream | GetGdz (Dictionary< string, object > parameters)
| Gets the GDZ from the elevation as a Stream. More...
Stream | Get3D (Settings3D settings)
| This method is deprecated. Please use Get3D(Dictionary<string, object>) instead. More...
Stream | Get3D (Dictionary< string, object > parameters)
| Gets the 3D definition from the elevation. More...
Stream | GetPartsList ()
| Returns the parts list of this Elevation as a sqlite file. More...
IList< ElevationEditMode > | GetAvailableElevationEditModes ()
| This method is deprecated. Please use GetEditModes instead. More...
IList< ElevationEditMode > | GetEditModes ()
| Returns a list of all available ElevationEditMode for the current Elevation. More...
ElevationInfo | SetElementPricelistSelection (Stream selectionStream)
| Sets the selection of an element pricelist elevation. More...
Stream | GetElementPricelistSelection ()
| Gets the selection of an element pricelist elevation. More...
override ElevationInstanceInfo | RefreshChild (ElevationInstanceInfo childInfo)
ElevationInfo | ManageBackup (ManageBackupAction action)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Phase, ElevationInfo, ElevationInstance, ElevationInstanceInfo >
TOwnInfo | Refresh ()
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
bool | CanDispose ()
| Checks whether the ICoreInfo can be disposed. More...

## Public Attributes
new PhaseUi | Parent => (PhaseUi) base.Parent
| The parent of this object. More...
Public Attributes inherited from Ofcas.Lk.Api.Client.Core.Elevation
DocumentContainer | Documents => _documentContainerLifetimeManager.GetCoreObject()

## Additional Inherited Members
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.Elevation
override IEnumerable< ElevationInstanceInfo > | GetChildrenInfos ()
virtual ElevationInstance | CreateNewInstance (Guid coreObjectId, ElevationInstanceInfo elevationInstanceInfo)
ElevationInfo | HandleElevationOperationStatusResponse (OperationStatusResponse response, string information)
OperationInfo | CanDeleteChild (ElevationInstanceInfo childInfo, bool verbose)
| Checks whether an elevation instance can be deleted or not. More...
void | DeleteChild (ElevationInstanceInfo childInfo, bool forceDelete, bool verbose)
bool | ObjectChanged (ISynchronizedEvent synchronizedEvent)
override void | Dispose (bool disposing)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Phase, ElevationInfo, ElevationInstance, ElevationInstanceInfo >
| CoreObjectFullyQualified (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, TParent parent, TOwnInfo ownInfo)
| Creates a new instance of CoreObjectFullyQualified<TParent,TOwnInfo,TChild,TChildInfo> with the given parameters. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Elevation
ISynchronizationContainer | SynchronizationContainer`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Phase, ElevationInfo, ElevationInstance, ElevationInstanceInfo >
TParent | Parent`[get]`
TOwnInfo | Info`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithDocuments
DocumentContainer | Documents`[get]`
| The DocumentContainer of the ICoreObject. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithSynchronizations
ISynchronizationContainer | SynchronizationContainer`[get]`
| The ISynchronizationContainer of this ICoreObject. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...

## Detailed Description

ElevationUi is the representation of a LogiKal element (for example, a window, a facade, ...) and provides methods with user interaction. The children are of type ElevationInstance. The children can be received from the InfoList (CoreObject<T>.Infos).

## Member Function Documentation

## ◆ BeginEdit()

ISynchronizedOperation Ofcas.Lk.Api.Client.Ui.ElevationUi.BeginEdit | ( | ElevationEditMode | elevationEditMode | ) |

This method is deprecated. Please use Show instead.

## ◆ CanShow() [1/2]

OperationInfo Ofcas.Lk.Api.Client.Ui.ElevationUi.CanShow | ( |  | ) |

Checks if it's possible to open the elevation via user interface with the default edit mode.

Returns
  Returns the OperationInfo which contains additional information about the requested operation.

## ◆ CanShow() [2/2]

OperationInfo Ofcas.Lk.Api.Client.Ui.ElevationUi.CanShow | ( | ElevationEditMode | elevationEditMode | ) |

Checks if it's possible to open the elevation via user interface.

Returns
  Returns the OperationInfo which contains additional information about the requested operation.

## ◆ DeleteElevationInstance()

override void Ofcas.Lk.Api.Client.Ui.ElevationUi.DeleteElevationInstance | ( | ElevationInstanceInfo | elevationInstanceInfo | ) |
| virtual

Deletes an existing ElevationInstance from this Elevation.

Parameters

  elevationInstanceInfo |

Reimplemented from Ofcas.Lk.Api.Client.Core.Elevation.

## ◆ Edit()

ElevationInfo Ofcas.Lk.Api.Client.Ui.ElevationUi.Edit | ( | ElevationEditMode | elevationEditMode | ) |

This method is deprecated. Please use ShowModal instead.

## ◆ Set3D()

ElevationInfo Ofcas.Lk.Api.Client.Ui.ElevationUi.Set3D | ( | Stream | content | ) |

Sets a 3D definition to the current Elevation. Available formats are specified in "Public API Documentation" (Confluence). Setting 3D data is only allowed for empty created elevations (ElevationInfo.State).

Parameters

  content | the content to set

Returns
  the new elevation data as ElevationInfo

## ◆ SetApplicationHandle()

void Ofcas.Lk.Api.Client.Ui.ElevationUi.SetApplicationHandle | ( | IntPtr | uiHandle | ) |

Sets an ui handle. All opened user interfaces used this handle as parent. After an operation the default handle from the login scope will be used (ServiceProxyBase<TService,TCoreObject>.Login(string,long,System.TimeSpan)).

Parameters

  uiHandle | the ui handle to be used for opened user interfaces from this class.

## ◆ SetFromHistory()

IDialogResult<ElevationInfo> Ofcas.Lk.Api.Client.Ui.ElevationUi.SetFromHistory | ( |  | ) |

Sets the current Elevation using a selected Elevation from the Project's elevation history.

Returns
  the current elevation data as ElevationInfo

## ◆ Setup2D()

ElevationInfo Ofcas.Lk.Api.Client.Ui.ElevationUi.Setup2D | ( | Stream | content | ) |

Setup the Elevation with a 2D definition. For example this method can be used to setup the grid of the Elevation. Available formats are specified in "Public API Documentation" (Confluence). Setup 2D data is only allowed for empty created elevations (ElevationInfo.State).

Parameters

  content | the content to setup

Returns
  the current elevation data as ElevationInfo

## ◆ Show() [1/2]

ISynchronizedOperation Ofcas.Lk.Api.Client.Ui.ElevationUi.Show | ( |  | ) |

Begins editing the elevation asynchronously with the default edit mode.

Returns
  Returns a synchronized operation.

Exceptions

  ApiException | Occurs if the method fails.

## ◆ Show() [2/2]

ISynchronizedOperation Ofcas.Lk.Api.Client.Ui.ElevationUi.Show | ( | ElevationEditMode | elevationEditMode | ) |

Begins editing the elevation asynchronously.

Parameters

  elevationEditMode | The edit mode for the elevation.

Returns
  Returns a synchronized operation.

Exceptions

  ApiException | Occurs if the method fails.

## ◆ ShowModal() [1/2]

IDialogResult<ElevationInfo> Ofcas.Lk.Api.Client.Ui.ElevationUi.ShowModal | ( |  | ) |

Starts editing the elevation via user interface with the default edit mode.

Returns
  Returns a IDialogResult which contains the edited elevation.

## ◆ ShowModal() [2/2]

IDialogResult<ElevationInfo> Ofcas.Lk.Api.Client.Ui.ElevationUi.ShowModal | ( | ElevationEditMode | elevationEditMode | ) |

Starts editing the elevation via user interface

Parameters

  elevationEditMode | Possible modes to edit can be received with Elevation.GetEditModes

Returns
  Returns a IDialogResult which contains the edited elevation.

## ◆ WaitForShow()

IDialogResult<ElevationInfo> Ofcas.Lk.Api.Client.Ui.ElevationUi.WaitForShow | ( | ISynchronizedOperation | synchronizedOperation | ) |

Waits for the ISynchronizedOperation to finish.

Parameters

  synchronizedOperation | The ISynchronizedOperation to be finished.

Returns
  Returns an IDialogResult<T> containing an ElevationInfo for the ISynchronizedOperation.

## Member Data Documentation

## ◆ Parent

new PhaseUi Ofcas.Lk.Api.Client.Ui.ElevationUi.Parent => (PhaseUi) base.Parent

The parent of this object.

The documentation for this class was generated from the following file:

- ElevationUi.cs